<template>
  <v-container fluid>
    <v-form fast-fail @submit.prevent="submitForm" class="custom">
      <v-row>
        <v-col>
          <div class="custom-label">İşlem Tarihi </div>
          <v-text-field class="text-eureko"   :disabled="false" variant="outlined" v-model="reactForm.proccesDate"
            type="date" />
          <div class="custom-label">Açıklama </div><br>
          <v-text-field class="text-eureko"   :disabled="false" variant="outlined"
            v-model="reactForm.description" />
          <div class="custom-label">Banka </div><br>
          <v-combobox class="custom-combobox" :items="banks" v-model="reactForm.selectedBank"
            variant="outlined" />
          <div class="custom-label">Hesap </div><br>
          <v-combobox class="custom-combobox"  :items="banks" v-model="reactForm.selectedAccount"
            variant="outlined" />
        </v-col>
        <v-col>
          <div class="custom-label">Belge Türü </div><br>
          <v-combobox class="custom-combobox"   :items="documentTypeItems"
            v-model="reactForm.selectedDocumentType" variant="outlined" />
   
            <div class="custom-label">Belge Tarihi </div>
            <v-text-field class="text-eureko" :disabled="false" variant="outlined"
              v-model="reactForm.documentDate" type="date" />

          <div class="custom-label">Belge No </div><br>
          <v-text-field class="text-eureko"  :disabled="false" variant="outlined" v-model="reactForm.documentNo"
            type="number" />
        </v-col>
        <v-col>
          <div class="custom-label">Ödeme Dövizi </div><br>
          <v-combobox class="custom-combobox" :items="currencies" v-model="reactForm.selectedCurrency"
            variant="outlined"></v-combobox>
          <div class="custom-label">Kur </div>
          <v-text-field class="text-eureko"  :disabled="false" variant="outlined"
            v-model="reactForm.exchangeRate" type="number" step="0.01"></v-text-field>
          <div class="custom-label">Tutar </div><br>
          <v-text-field class="text-eureko"  :disabled="false" variant="outlined" v-model="reactForm.amount"
            type="number"></v-text-field>
        </v-col>
      </v-row>
      <v-row>
        <v-col cols="12" md="12" justify="end" class="text-right">
          <custom-button style="width: 120px;" color="primary" size="medium" val="Kaydet" @click="submitForm" />
        </v-col>
      </v-row>
    </v-form>
  </v-container>
</template>
<script>
import CustomButton from '@/components/custom-controller/CustomButton.vue';
import { ref } from "vue";
export default {
  components: {
    CustomButton
  },
  setup() {
    const repo = ref(["repo", "repo"]);
    const currencies = ref(["USD", "EUR", "GBP", "JPY", "CAD", "AUD", "CHF", "CNY", "NZD", "ZAR", "RUB", "BRL", "INR", "SGD", "SAR"]);
    const banks = ref(["Akbank", "Garanti BBVA", "Halkbank", "İş Bankası", "Türkiye Cumhuriyeti Ziraat Bankası",
    ]);
    const documentTypeItems = ref(['Banka Dekontu', 'Banka Faturas']);
 
    const reactForm = ref({
      proccesDate: new Date().toISOString().substr(0, 10),
      description: "",
      selectedBank: "",
      selectedAccount: "",
      selectedDocumentType: "",
      documentDate: new Date().toISOString().substr(0, 10),
      documentNo: "",
      selectedCurrency: "",
      exchangeRate: "",
      amount: ""
    });

    const submitForm = () => {
      console.log(reactForm.value);
      reactForm.value = {
        roccesDate: new Date().toISOString().substr(0, 10),
        description: "",
        selectedBank: "",
        selectedAccount: "",
        selectedDocumentType: "",
        documentDate: new Date().toISOString().substr(0, 10),
        documentNo: "",
        selectedCurrency: "",
        exchangeRate: "",
        amount: ""
      };
    };

    return {
      repo,
      currencies,
      banks,
      documentTypeItems,
      reactForm,
      submitForm
    };
  }
}

</script>
<style scoped></style>